#!/bin/sh

echo "AURES"
echo "AURES CUPS DRIVER Mac OS Uninstaller"
echo "---------------------------------------"
echo ""
echo "Models included:"

echo "         AURES ODP-200H"
echo "         AURES ODP333"
echo "         AURES Thermal Printer"
echo "         AURES TRP100-III"
echo "         AURES ODP444"
echo ""

ROOT_UID=0

if [ "$UID" -ne "$ROOT_UID" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

if [ -e /usr/libexec/cups/filter/rastertoodp200 ]
then 
	echo "Removing rastertoodp200"
	sudo rm -f /usr/libexec/cups/filter/rastertoodp200
fi

if [ -e /usr/libexec/cups/filter/rastertoodp333 ]
then 
	echo "Removing rastertoodp333"
	sudo rm -f /usr/libexec/cups/filter/rastertoodp333
fi

if [ -e /usr/libexec/cups/filter/rastertothermalprt ]
then 
	echo "Removing rastertothermalprt"
	sudo rm -f /usr/libexec/cups/filter/rastertothermalprt
fi

if [ -e /usr/libexec/cups/filter/rastertotrp100 ]
then 
	echo "Removing rastertotrp100"
	sudo rm -f /usr/libexec/cups/filter/rastertotrp100
fi

if [ -e /usr/libexec/cups/filter/rastertoodp444 ]
then 
	echo "Removing rastertoodp444"
	sudo rm -f /usr/libexec/cups/filter/rastertoodp444
fi

if [ -d /usr/share/cups/model/AURES ]
then
	echo "Removing dir .../cups/model/AURES"
	sudo rm -rf /usr/share/cups/model/AURES
fi

if [ -e /System/Library/LaunchDaemons/printer.plist ]
then
	echo "Tiger"
	echo "Restarting CUPS"
	sudo killall cupsd
	sudo cupsd
	sudo launchctl  unload -w /System/Library/LaunchDaemons/printer.plist
	sudo launchctl load -w /System/Library/LaunchDaemons/printer.plist
	echo ""
fi

if [ -e /System/Library/LaunchDaemons/org.cups.cupsd.plist ]
then
	echo "Leopard over"
	echo "Restarting CUPS"
	sudo launchctl  unload /System/Library/LaunchDaemons/org.cups.cupsd.plist
	sudo launchctl load /System/Library/LaunchDaemons/org.cups.cupsd.plist
	echo ""
fi


echo "Uninstall Complete"
echo "Delete printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

